/***** interface.h ********************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * Date: Sun Jun 20 13:07:28 2004.
 * License: GNU General Public
 **************************************************/ 
#define DEFAULT_D 1000000

/* define argument container */
typedef struct args{
  char *s;          /* name of sbjct file */
  char p;           /* print program information */
  int D;            /* maximum depth of suffix tree */
  int w;            /* window length for window analysis */
  float t;          /* initial theta */
  double S;         /* step size */
  float r;          /* initial rho */
  float T;          /* threshold */
  int m;            /* maximum iterations */
  char h;           /* help message? */
  float E;          /* epsilon in integration */
  char e;           /* error message? */
  char d;           /* print debug messages */	
  char f;           /* function type */
  char u;           /* print shulens */
  int n;            /* n for testing program */
  int x;            /* x for testing program */
  char **inputFiles;
  int numInputFiles;
} Args;

Args *getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);
