/***** shulen.h **************************************************************
 * Description: Extract shustring lengths from suffix array combined
 *   with longest common prefix array. Use in conjunction with
 *   interface.h and stringData.h
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Wed Dec  6 17:19:12 2006.
 * 
 * This file is part of ir.
 *
 * ir is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ir is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ir; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
 *****************************************************************************/  

#define ALPHA_SIZE _BW_ALPHA_SIZE

int *getSuffixArray(Sequence *seq);
int *getLcp(Sequence *seq, int *sa);
int *getShulensWithoutSentinel(Args *args, Sequence *seq);
int *getRawShulens(Args *args, Sequence *seq, int *sa, int *lcp);
int *getShulensWithSentinel(Args *args, Sequence *seq);
void printSuffixArray(Args *args, int *sa, int *lcp, int n, char *seq);

